<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Frame](./puppeteer.frame.md) &gt; [waitFor](./puppeteer.frame.waitfor.md)

## Frame.waitFor() method

<b>Signature:</b>

```typescript
waitFor(selectorOrFunctionOrTimeout: string | number | Function, options?: {}, ...args: SerializableOrJSHandle[]): Promise<JSHandle | null>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  selectorOrFunctionOrTimeout | string \| number \| Function |  |
|  options | {} |  |
|  args | [SerializableOrJSHandle](./puppeteer.serializableorjshandle.md)<!-- -->\[\] |  |

<b>Returns:</b>

Promise&lt;[JSHandle](./puppeteer.jshandle.md) \| null&gt;

